Bug 206412 - graphics/qgis: Update to 2.12.3
Summary: graphics/qgis: Update to 2.12.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-01-19 20:24 UTC by Rainer Hurling
Modified: 2016-02-18 20:36 UTC (History)
1 user (show)

See Also:


Attachments
patch to update from 2.12.2 to 2.12.3 (10.70 KB, patch)
2016-01-19 20:24 UTC, Rainer Hurling
rhurlin: maintainer-approval+
Details | Diff
patch to update from 2.12.2_1 to 2.12.3 (5.19 KB, patch)
2016-02-16 18:52 UTC, Rainer Hurling
rhurlin: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Hurling 2016-01-19 20:24:23 UTC
Created attachment 165837 [details]
patch to update from 2.12.2 to 2.12.3

What this port update does:

- Update QGIS to version 2.12.3
- Sort options alphabetically
- Make (vector) layer properties editable again on FBSD > 9.x


The ports Makefile now includes a patch under the pre-patch target to unset "CMAKE_CXX_FLAGS -fvisibility=hidden -fvisibility-inlines-hidden" within CMakeLists.txt files. This flags for gcc and clang compilers were introduced in QGIS in May 2015 [1].

If visibility flags are set during the QGIS build process, layer properties like 'fill style' are not shown in (vector) layer properties of a running QGIS. Instead, only a text "This layer doesn't have editable properties" appears in those windows.

[The problem was reported before in private mails for FreeBSD > 9.x and also for some MACOSX boxes. [The present workaround seems to circumvent a deeper problem with QT4 configuration and/or interaction on these boxes. Further investigations are needed and any help is really appreciated.]] Despite of this, the port update should be fully functional with the workaround.


[1] https://github.com/qgis/QGIS/commit/c1b520fbd8110851bb78c817e2cfa5ecda103e85
Comment 1 Rainer Hurling 2016-02-16 18:52:02 UTC
Created attachment 167087 [details]
patch to update from 2.12.2_1 to 2.12.3

QGIS 2.12.2 was updated, because some features where activated with new options. So this patch updates 2.12.2_1 to version 2.12.3.

The biggest change within the port itself was described in the comment of the initial patch (unhide visibility flags).
Comment 2 Dmitry Marakasov freebsd_committer 2016-02-18 20:36:43 UTC
Committed with minor change: qgis_customwidgets.py depends on both PYTHON and CUSTOMWIDGETS
Comment 3 commit-hook freebsd_committer 2016-02-18 20:36:55 UTC
A commit references this bug:

Author: amdmi3
Date: Thu Feb 18 20:36:40 UTC 2016
New revision: 409128
URL: https://svnweb.freebsd.org/changeset/ports/409128

Log:
  - Update to 2.12.3

  PR:		206412
  Submitted by:	rhurlin@gwdg.de (maintainer)

Changes:
  head/graphics/qgis/Makefile
  head/graphics/qgis/distinfo
  head/graphics/qgis/pkg-plist